<template>
  <div class="app-container">
    {{ query }}
  </div>
</template>
<script>
export default {
  name: 'Index3',
  data() {
    return {
      query: {}
    };
  },
  methods: {},
  created() {
    const { row } = this.$route.query;
    const query = JSON.parse(row);
    if (!query || !query.id) {
      this.msgError('无ID');
      this.$router.go(-1);
      return;
    }
    console.log(query);
    this.query = query;
  }
};
</script>
